PRAGMA foreign_keys=off;

BEGIN TRANSACTION;

DROP INDEX bookmark_metadata_content_id;

ALTER TABLE bookmark_metadata RENAME TO temp_bookmark_metadata;

CREATE TABLE bookmark_metadata (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  episode_number integer DEFAULT(0),
  season_number integer DEFAULT(0),
  season_title text,
  season_uuid text,
  series_title text,
  series_uuid text,
  description text,
  title text,
  trailer integer DEFAULT(0),
  type text,
  uuid text,
  uuid_type text,
  content_id text
);

INSERT INTO bookmark_metadata
    SELECT _id,
      episode_number,
      season_number,
      season_title,
      season_uuid,
      series_title,
      series_uuid,
      description,
      title,
      trailer,
      type,
      uuid,
      uuid_type,
      content_id
    FROM temp_bookmark_metadata;

DROP TABLE temp_bookmark_metadata;

COMMIT;

PRAGMA foreign_keys=on;
